s20urandom

来自「最新的文件系统生成工具」· 代码 · 共 45 行

TXT
45
字号
#! /bin/sh## urandom	This script saves the random seed between reboots.#		It is called from the boot, halt and reboot scripts.## Version:	@(#)urandom  1.33  22-Jun-1998  miquels@cistron.nl#[ -c /dev/urandom ] || exit 0#. /etc/default/rcScase "$1" in	start|"")		if [ "$VERBOSE" != no ]		then			echo -n "Initializing random number generator... "		fi		# Load and then save 512 bytes,		# which is the size of the entropy pool		if [ -f /etc/random-seed ]		then			cat /etc/random-seed >/dev/urandom		fi		rm -f /etc/random-seed		umask 077		dd if=/dev/urandom of=/etc/random-seed count=1 \			>/dev/null 2>&1 || echo "urandom start: failed."		umask 022		[ "$VERBOSE" != no ] && echo "done."		;;	stop)		# Carry a random seed from shut-down to start-up;		# see documentation in linux/drivers/char/random.c		[ "$VERBOSE" != no ] && echo -n "Saving random seed... "		umask 077		dd if=/dev/urandom of=/etc/random-seed count=1 \			>/dev/null 2>&1 || echo "urandom stop: failed."		[ "$VERBOSE" != no ] && echo "done."		;;	*)		echo "Usage: urandom {start|stop}" >&2		exit 1		;;esac

⌨️ 快捷键说明

复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?